package com.mortals.xhx.module.attendance.web;
import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.attendance.model.AttendanceVacationBalanceEntity;
import com.mortals.xhx.module.attendance.service.AttendanceVacationBalanceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
*
* 员工假期余额信息
*
* @author zxfei
* @date 2023-04-07
*/
@RestController
@RequestMapping("attendance/vacation/balance")
public class AttendanceVacationBalanceController extends BaseCRUDJsonBodyMappingController<AttendanceVacationBalanceService,AttendanceVacationBalanceEntity,Long> {

    @Autowired
    private ParamService paramService;

    public AttendanceVacationBalanceController(){
        super.setModuleDesc( "员工假期余额信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }


}