package com.mortals.xhx.module.staff.dao.ibatis;


import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import com.mortals.xhx.module.staff.dao.StaffLeaveDao;
import com.mortals.xhx.module.staff.model.StaffLeaveEntity;
import org.springframework.stereotype.Repository;
/**
* 员工离职信息DaoImpl DAO接口
*
* @author zxfei
* @date 2023-04-07
*/
@Repository("staffLeaveDao")
public class StaffLeaveDaoImpl extends BaseCRUDDaoMybatis<StaffLeaveEntity,Long> implements StaffLeaveDao {


    @Override
    public int queryResignation() {
        return this.getSqlSession().selectOne(this.getSqlId("queryResignation"));
    }
}
